#!/usr/bin/env python
import coral
L = coral.Language.__getLanguage__("UML", 1, 4)
assert L
M = L.getElement("Model")
assert M

m1 = M()
m2 = M()

m1.name = "foo"

m1.isRoot = 1
m2.isRoot = 0
assert m1.isRoot == "true"
assert m2.isRoot == "false"
m1.isRoot = m2.isRoot
assert m1.isRoot == "false"
m1.isRoot = "true"
assert m1.isRoot == "true"
 
assert m1.name == "foo"
m1.name = m1.name
print m1.name
assert m1.name == "foo"

